<?php
/**
 */

namespace Drupal\visually_impaired_module\Theme;

use Drupal\Core\Theme\ThemeNegotiatorInterface;
use Drupal\Core\Routing\RouteMatchInterface;

class ThemeNegotiator implements ThemeNegotiatorInterface {
  /**
   * {@inheritdoc}
   */
  public function applies(RouteMatchInterface $route_match) {
    return TRUE;
  }
  /**
   * {@inheritdoc}
   */
  public function determineActiveTheme(RouteMatchInterface $route_match) {
    $config = \Drupal::config('visually_impaired_module.visually_impaired_module.settings');
    $route = $route_match->getRouteObject();
    $is_admin = \Drupal::service('router.admin_context')->isAdminRoute($route);
    if ((isset($_COOKIE['visually_impaired'])) && ($_COOKIE['visually_impaired'] == 'on') && ($is_admin == FALSE)) {
      return $config->get('visually_impaired_theme');
    }
  }
}
